* {
    box-sizing: border-box;
}

html,
body {
    --primary: #870d4d;
    --primary-light: #bb4679;
    --primary-dark: #550025;
    --logo-color: #00227a;
    --text: #ffffff;
    --text-dark: #bbbbbb;
    --text-darker: #888888;
    --font: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-family: var(--font);
    height: 100%;
}

button {
    border: 2px var(--logo-color) solid;
    color: var(--text);
    padding: .6em;
    margin: .3em;
    background-color: var(--logo-color);
}

button:hover {
    border: 2px var(--primary-light) solid;
    cursor: pointer;
}

.header {
    color: var(--text);
    background-color: var(--primary-dark);
    padding: 1em;
    display: grid;
    grid-template-columns: auto auto;
    grid-template-rows: auto;
}

.header a:link {
    color: var(--text-dark);
    text-decoration: none;
}

.header a:hover {
    color: var(--primary-light);
    text-decoration: underline;
}

.header a:visited {
    color: var(--text-darker);
}

.header button {
    border: 2px var(--logo-color) solid;
    color: var(--text);
    padding: .6em;
    margin: .3em;
    background-color: var(--logo-color);
    float: right;
}

.header button:hover {
    border: 2px var(--primary-light) solid;
    cursor: pointer;
}

.header label {
    float: left;
    margin-right: 1em;
}

.header input {
    float: right;
}

.title_icon {
    max-width: 10%;
    height: auto;
    float: left;
}

.site {
    display: flex;
}

.navBar {
    color: var(--text);
    background-color: var(--primary-dark);
    float: left;
    width: 12em;
    height: 100vh;
}

.navBar a {
    float: left;
    color: var(--text);
    font-weight: bolder;
    padding: 1em;
    text-decoration: none;
    width: 100%;
}

.navBar a:hover {
    font-style: italic;
    background-color: var(--primary);
}

.active {
    background-color: var(--primary);
}

.main {
    padding: 1em;
    width: 100%;
    float: left;
    height: max-content;
}

.hidden {
    display: none;
}

.popup-form {
    padding: 2em;
}

.popup-form input {
    float: right;
    margin: .5em;
    margin-top: 0;
    padding: .5em;
    width: 100%;
}

.popup-form select {
    float: right;
    margin: .5em;
    margin-top: 0;
    padding: .5em;
    width: 100%;
}

.popup-form label {
    float: left;
    width: 100%
}

.popup-form input[type=color] {
    height: 50px;
    width: 60px;
    float: left;
}

.popup-form input[type=submit] {
    border: 2px var(--logo-color) solid;
    color: var(--text);
    padding: .6em;
    margin: .3em;
    background-color: var(--logo-color);
    float: right;
    width: 30%;
    max-width: 160px;
}

.popup-form input[type=submit]:hover {
    border: 2px var(--primary-light) solid;
    cursor: pointer;
}

.pictureDiv {
    height: 100%;
    width: 100%;
    margin: 1em;
    float: left;
    width: 10%;
}

.pictureDiv img {
    width: 100%;

}

.pictureDiv img:hover {
    cursor: pointer;
}

#poolPics img {
    margin: 0.5em;
}

#motiveBrowser img {
    margin: 0.5em;
}

.gradImg {
    text-align: center;
    width: 90%;
}

.gradientDiv img {
    width: 80vw;
    height: 24px;
}

.motivePicDiv {
    height: 35vh;
    width: 12vw;
    float: left;
    text-align: center;
}